<?php
 /**

 */

 

include ("../conectar.php");

echo $codnota=$_GET["codnota"];
echo $horaactual = date("h:i:s A");

 $query_parametros="SELECT * FROM web_0000 ";
	 $rs_query_parametros=mysql_query($query_parametros);

   $nomcom= mysql_result($rs_query_parametros,0,"nomcom");
   $razsoc= mysql_result($rs_query_parametros,0,"razsoc");
	$cedjur= mysql_result($rs_query_parametros,0,"cedjur");
	 $diremp= mysql_result($rs_query_parametros,0,"diremp");
	 $numtel_empresa= mysql_result($rs_query_parametros,0,"numtel");
	 	 $numofi= mysql_result($rs_query_parametros,0,"numofi");
		 	 $diains= mysql_result($rs_query_parametros,0,"diains");





$consulta1 = "Select * from facturas_notas where codnota = $codnota";
$tabla = mysql_query($consulta1);
$cdgcli=mysql_result($tabla,0,"cdgcli");
$dsccli=mysql_result($tabla,0,"dsccli");
$montot=mysql_result($tabla,0,"totalnota");
$fecha=mysql_result($tabla,0,"fecha");
$fecha= implode("-", array_reverse(explode("-", $fecha)));
$cdgven=mysql_result($tabla,0,"cdgven");
$tipapli=mysql_result($tabla,0,"tipapli");


  $query_Vendedor="SELECT * FROM usuarios WHERE codusu='$cdgven'";
	 $rs_query_Vendedor=mysql_query($query_Vendedor);

   $Vendedor= mysql_result($rs_query_Vendedor,0,"usu");


$consulta3 = "Select * from web_0301 where cdgcli= $cdgcli";
$tabla3 = mysql_query($consulta3);
$saldo_cliente=mysql_result($tabla3,0,"salact");

?>
		



<?

$ip = $_SERVER['REMOTE_ADDR'] ;

if ($ip=="192.168.1.70"){

$puerto="LPT1";


  } 
  
  
if ($ip=="127.0.0.1"){

$puerto="LPT2";


  }  

if(($handle = @fopen($puerto, "w")) === FALSE){
        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');




fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012


fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, "  ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  "    ".$razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    ".$diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS

	  $recibo = str_pad("Nota Credito:     ".$codnota, 23);

fwrite($handle, "    ".$tipo_venta."       ".$recibo );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("    Cajero: " .$Vendedor ,27);
fwrite($handle,"    Fecha: ". $fecha."                ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
  $dsccli = substr($dsccli." ", 0,30);
fwrite($handle,"    Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, $CAJERO);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Articulo    "."             Cant."."         TOTAL");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(97). chr(2));//Derecha



$sel_lineas="SELECT factulinea_notas.*,web_1001.* FROM factulinea_notas,web_1001 WHERE factulinea_notas.codnota='$codnota' AND factulinea_notas.codigo=web_1001.cdgbar ORDER BY factulinea_notas.numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
							$numlinea=mysql_result($rs_lineas,$i,"numlinea");
							//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
							//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
							//$codarticulo=mysql_result($rs_lineas,$i,"codarticulo");
							$cdgbar=mysql_result($rs_lineas,$i,"codigo");
							$dscart=mysql_result($rs_lineas,$i,"dscart");
							$cantidad=mysql_result($rs_lineas,$i,"cantidad");
							$preivi=mysql_result($rs_lineas,$i,"preivi");
							$prenivi=mysql_result($rs_lineas,$i,"prenivi");
							$importe=mysql_result($rs_lineas,$i,"importe");
							$impuesto=mysql_result($rs_lineas,$i,"impuesto");
							$descuento=mysql_result($rs_lineas,$i,"mondes");
					
					$subtotal=$subtotal + $importe;
					$impuesto_venta=$impuesto_venta + $impuesto;
			     	$total_descuento=$total_descuento + $descuento;
				   $total=$subtotal-$total_descuento+$impuesto_venta;
						
					if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$prenivi;
// formula inserta espacion ///

 
$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 23);
 $acotado = str_pad($acotado, 26);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 22);
 $acotado = str_pad($acotado, 25);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 22);
 $acotado = str_pad($acotado, 24);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 22);
 $acotado = str_pad($acotado, 23);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle,"    ".$acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//$resultado=number_format($subtotal,2,".",",");
//$sublin=sprintf("%13s",$resultado) ;
//fwrite($handle,"       Subtotal:  ");
//fwrite($handle,$sublin);

//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//$total_desc=number_format($total_descuento,2,".",",");
//$descuento=sprintf("%13s",$total_desc) ;
//fwrite($handle,"       Descuento:  ");
//fwrite($handle, $descuento);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//$impuesto=number_format($impuesto_venta,2,".",",");
//$impuesto_venta=sprintf("%13s",$impuesto) ;
//fwrite($handle,"       I.V :  ");
//fwrite($handle, $impuesto_venta);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS

   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////

	if ($tipapli==1) { 


fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "EFECTIVO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
					
	 } else { 

fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"      ----------Facturas Afectadas ----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Factura". "      Monto Aplicado"."            Saldo");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


$sel_lineas="SELECT * FROM pagos_clientes_notas_lineas WHERE codnota='$codnota' AND   cdgcli='$cdgcli'  ORDER BY numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
							$numlinea=mysql_result($rs_lineas,$i,"numlinea");
							$monabo=mysql_result($rs_lineas,$i,"monabo");
							$totfac=mysql_result($rs_lineas,$i,"totfac");
							$salfac=mysql_result($rs_lineas,$i,"salfac");
							$numfac=mysql_result($rs_lineas,$i,"numfac");
					


	
$resultado=number_format($salfac,2,".",",");
$saldo_factura=sprintf("%18s",$resultado) ;

 
$pago=number_format($monabo,2,".",",");
 $abono = sprintf("%18s",$pago) ;
 
	fwrite($handle, chr(27). chr(97). chr(2));//derecha		
    fwrite($handle, $numfac ."". $abono ."". $saldo_factura);	
    fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
				 } 
		 }


fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado  (I.V.I.)"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel


		
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN

echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";
?>

 